WordPress 5.0 – Gutenberg er her

Letters

Imorgen, 6. december 2018, udkommer WordPress 5.0 og med det den nye editor Gutenberg. Det er tydeligt, at editoren er inspireret af sider som Medium, hvis editor minder en del om Gutenberg. Personligt synes jeg godt om Gutenberg og vil, i den nærmeste fremtid, selv bruge det på dette website. På trods af dette er der dog stadig mange websites, jeg har lavet tidligere, der gerne skulle have de seneste WordPress-opdateringer, men som ikke skal køre på Gutenberg.

Disable Gutenberg 4Good

Du kan bruge pluginnet Disable Gutenberg 4Good. Jeg har lavet pluginnet og det består af de 2 linjer kode, man kan læse om længere nede, så mere er der ikke i det.

Classic Editor

Classic Editor-pluginnet er blevet tilbudt WordPress-brugere siden WordPress 4.9.8. Om man fortsat bliver tilbudt dette eller om man skal hente det fra plugin-siden har folkene fra WordPress ændret holdning til løbende.

Disable Gutenberg

Pluginnet Disable Gutenberg er en måde at gøre det på. Det giver også mulighed for at lade visse brugere samt post types bruge Gutenberg. Hvis du f.eks. vil bruge Gutenberg til dine posts, men har et plugin, der benytter sig af en post type, der ikke understøtter Gutenberg.

Deaktiver Gutenberg med kode

Du kan deaktivere Gutenberg med en enkelt linjes kode, der skal tilføjes i et plugin eller i dit temas functions.php. Hvis du tilføjer det i dit temas functions.php vil jeg anbefale, at du gør det i et child-tema da det ellers vil blive slettet når dit tema bliver opdateret. Hvis du vil installere koden som plugin, så kan du hente Disable Gutenberg 4Good.

add_filter('use_block_editor_for_post', '__return_false');

add_filter('gutenberg_can_edit_post_type', '__return_false');